curl --request GET \
--url https://api.jtl-cloud.com/erp/items/{itemId}/suppliers \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/items/{itemId}/suppliers"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/items/{itemId}/suppliers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"ItemId": 123,
"SupplierId": 123,
"Sku": "<string>",
"ItemName": "<string>",
"IsStandard": true,
"PurchasePriceNet": 123,
"TaxRate": 123,
"MinimumPurchaseQuantity": 123,
"PermissibleOrderQuantity": 123,
"DeliveryTime": 123,
"UseSupplierDeliveryTime": true,
"Stocklevel": 123,
"IsDropshipping": true,
"MergeStockLevel": true,
"Comment": "<string>",
"PackagingUnit": "<string>",
"AmountPackagingUnit": 123,
"PackagingUnitPurchasePriceNet": 123,
"ScalePrices": [
{
"FromQuantity": 123,
"PurchasePriceNet": 123,
"ReduceStandardPriceByPercent": 123
}
]
}
]{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}Query Item Suppliers
Query all suppliers for a specific item
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Path Parameters
The id of the item that the supplier belong to.
Response
The requested item suppliers.
Unique ID to identify an item.
Unique ID to identify a supplier.
Item SKU from the supplier.
Item name from the supplier.
Defines the main supplier for the given item.
Net purchase price from the supplier.
Percent of VAT tax rate.
The minimum purchase quantity from the supplier.
The permissible order quantity for the item from the supplier. The increments in which the item can be sold.
Delivery time in days.
If set to true, Wawi will use the delivery time provided by the supplier and not by the item information. DeliveryTime will then be ignored.
Stock level of the item at the supplier.
Activates drop shipping for a given item and supplier.
Forces Wawi to add the supplier's stock to your own stock.
Comment for the supplier.
Name of the packaging unit.
Quantity in a packaging unit.
Net purchase price from the supplier for a packaging unit.
Scale prices from this supplier for the item.
Show child attributes
Show child attributes
Was this page helpful?